org.apache.ivy.core.resolve

## Class ResolveOptions

- java.lang.Object
- - org.apache.ivy.core.LogOptions
  - - org.apache.ivy.core.resolve.ResolveOptions

    public class ResolveOptions
    extends LogOptions

A set of options used during resolve related tasks

See Also:
  `ResolveEngine`

### Field Summary

Fields
`static java.lang.String` `RESOLVEMODE_DEFAULT` Default resolve mode, using default revision constraints in dependency descriptors.
`static java.lang.String` `RESOLVEMODE_DYNAMIC` Dynamic resolve mode, using dynamic revision constraints in dependency descriptors.
`static java.lang.String[]` `RESOLVEMODES` Array of all available resolve modes.

### Fields inherited from class org.apache.ivy.core.LogOptions

`LOG_DEFAULT, LOG_DOWNLOAD_ONLY, LOG_QUIET`

### Constructor Summary

Constructors
Constructor and Description
`ResolveOptions()`
`ResolveOptions(ResolveOptions options)`

### Method Summary

Methods
`Filter` `getArtifactFilter()`
`boolean` `getCheckIfChanged()`
`java.lang.String[]` `getConfs()`
`java.lang.String[]` `getConfs(ModuleDescriptor md)` Get the aksed confs.
`java.util.Date` `getDate()`
`static java.lang.String` `getDefaultResolveId(ModuleDescriptor md)`
`static java.lang.String` `getDefaultResolveId(ModuleId moduleId)`
`java.lang.String` `getResolveId()`
`java.lang.String` `getResolveMode()` Returns the resolve mode to use, or `null` to use settings configured resolve mode.
`java.lang.String` `getRevision()`
`boolean` `isDownload()`
`boolean` `isOutputReport()`
`boolean` `isRefresh()`
`boolean` `isTransitive()`
`boolean` `isUseCacheOnly()`
`boolean` `isValidate()`
`ResolveOptions` `setArtifactFilter(Filter artifactFilter)`
`ResolveOptions` `setCheckIfChanged(boolean checkIfChanged)`
`ResolveOptions` `setConfs(java.lang.String[] confs)`
`ResolveOptions` `setDate(java.util.Date date)`
`ResolveOptions` `setDownload(boolean download)`
`ResolveOptions` `setOutputReport(boolean outputReport)`
`ResolveOptions` `setRefresh(boolean refresh)`
`ResolveOptions` `setResolveId(java.lang.String resolveId)`
`ResolveOptions` `setResolveMode(java.lang.String resolveMode)`
`ResolveOptions` `setRevision(java.lang.String revision)`
`ResolveOptions` `setTransitive(boolean transitive)`
`ResolveOptions` `setUseCacheOnly(boolean useCacheOnly)`
`ResolveOptions` `setValidate(boolean validate)`
`boolean` `useSpecialConfs()` Indicates if the configurations use a special configuration * , *(private) or *(public).

### Methods inherited from class org.apache.ivy.core.LogOptions

`getLog, setLog`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### RESOLVEMODE_DEFAULT

    public static final java.lang.String RESOLVEMODE_DEFAULT

Default resolve mode, using default revision constraints in dependency descriptors.

See Also:
  Constant Field Values

#### RESOLVEMODE_DYNAMIC

    public static final java.lang.String RESOLVEMODE_DYNAMIC

Dynamic resolve mode, using dynamic revision constraints in dependency descriptors.

See Also:
  Constant Field Values

#### RESOLVEMODES

    public static final java.lang.String[] RESOLVEMODES

Array of all available resolve modes.

### Constructor Detail

#### ResolveOptions

    public ResolveOptions()

#### ResolveOptions

    public ResolveOptions(ResolveOptions options)

### Method Detail

#### getArtifactFilter

    public Filter getArtifactFilter()

#### setArtifactFilter

    public ResolveOptions setArtifactFilter(Filter artifactFilter)

#### getResolveMode

    public java.lang.String getResolveMode()

Returns the resolve mode to use, or `null` to use settings configured resolve mode.

Returns:
  the resolve mode to use.

#### setResolveMode

    public ResolveOptions setResolveMode(java.lang.String resolveMode)

#### useSpecialConfs

    public boolean useSpecialConfs()

Indicates if the configurations use a special configuration * , *(private) or *(public). When special configurations are used, you must have the module descriptor in order to get the list of configurations.

See Also:
  `getConfs()`, `getConfs(ModuleDescriptor)`

#### getConfs

    public java.lang.String[] getConfs()

See Also:
  `getConfs(ModuleDescriptor)`

#### getConfs

    public java.lang.String[] getConfs(ModuleDescriptor md)

Get the aksed confs. Special confs (like *) use the moduleDescriptor to find the values *

Parameters:
  `md` - Used to get the exact values for special confs.

#### setConfs

    public ResolveOptions setConfs(java.lang.String[] confs)

#### getDate

    public java.util.Date getDate()

#### setDate

    public ResolveOptions setDate(java.util.Date date)

#### isDownload

    public boolean isDownload()

#### setDownload

    public ResolveOptions setDownload(boolean download)

#### isOutputReport

    public boolean isOutputReport()

#### setOutputReport

    public ResolveOptions setOutputReport(boolean outputReport)

#### isTransitive

    public boolean isTransitive()

#### setTransitive

    public ResolveOptions setTransitive(boolean transitive)

#### isUseCacheOnly

    public boolean isUseCacheOnly()

#### setUseCacheOnly

    public ResolveOptions setUseCacheOnly(boolean useCacheOnly)

#### isValidate

    public boolean isValidate()

#### setValidate

    public ResolveOptions setValidate(boolean validate)

#### getRevision

    public java.lang.String getRevision()

#### setRevision

    public ResolveOptions setRevision(java.lang.String revision)

#### getResolveId

    public java.lang.String getResolveId()

#### setResolveId

    public ResolveOptions setResolveId(java.lang.String resolveId)

#### setRefresh

    public ResolveOptions setRefresh(boolean refresh)

#### isRefresh

    public boolean isRefresh()

#### setCheckIfChanged

    public ResolveOptions setCheckIfChanged(boolean checkIfChanged)

#### getCheckIfChanged

    public boolean getCheckIfChanged()

#### getDefaultResolveId

    public static java.lang.String getDefaultResolveId(ModuleDescriptor md)

#### getDefaultResolveId

    public static java.lang.String getDefaultResolveId(ModuleId moduleId)